import { AESGCMOutput, ICryptoService, RSAKeys } from "./ICryptoService";
declare class CryptoServiceWeb implements ICryptoService {
    encryptAESGCM(data: string): Promise<AESGCMOutput>;
    encryptAESGCM(data: ArrayBuffer): Promise<AESGCMOutput>;
    decryptAESGCM(data: ArrayBuffer, key: ArrayBuffer, iv: ArrayBuffer): Promise<string>;
    decryptAESGCM(data: ArrayBuffer, key: ArrayBuffer, iv: ArrayBuffer, returnBuffer: true): Promise<ArrayBuffer>;
    verifyRSASignature(publicKeyPEM: string, data: ArrayBuffer, signature: ArrayBuffer): Promise<boolean>;
    generateRSAKeys(): Promise<RSAKeys>;
    encryptRSA(publicKeyPEM: string, data: ArrayBuffer): Promise<ArrayBuffer>;
    decryptRSA(privateKeyPEM: string, data: ArrayBuffer): Promise<ArrayBuffer>;
    signRSA(privateKeyPEM: string, data: ArrayBuffer): Promise<ArrayBuffer>;
    SHA1(value: string | ArrayBuffer, encoding?: string): Promise<ArrayBuffer>;
    SHA256(value: string | ArrayBuffer, encoding?: string): Promise<ArrayBuffer>;
    SHA384(value: string | ArrayBuffer, encoding?: string): Promise<ArrayBuffer>;
    SHA512(value: string | ArrayBuffer, encoding?: string): Promise<ArrayBuffer>;
    MD5(value: string | ArrayBuffer, encoding?: string): Promise<ArrayBuffer>;
}
export default CryptoServiceWeb;
