import { KeyDataPair, MessageData } from "../types";
declare const _default: {
    encodeEmailData: (emailData: MessageData) => string;
    decodeEmailData: (binary: string | ArrayBuffer | Uint8Array) => MessageData;
    encodeKeyDataPair: (keyData: KeyDataPair) => string;
    decodeKeyDataPair: (binary: string | ArrayBuffer | Uint8Array) => KeyDataPair;
    breakQrCodeData: (data: ArrayBuffer, headBytesSize?: number) => {
        head: ArrayBuffer;
        tail: ArrayBuffer;
    };
    assembleQrCodeData: (head: ArrayBuffer, tail: ArrayBuffer) => ArrayBuffer;
    calculateQRCodeSignature: (accountPrivateKey: string, qrCodeHash: string) => Promise<string>;
    verifyQrCodeSignature: (publicKey: string, qrCodeSignature: string, recipientQRCodeHash: string) => Promise<boolean>;
};
export default _default;
